> ## Documentation Index
> Fetch the complete documentation index at: https://layerswaplabsv0-main-depositactionsguide.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Speed up deposit

> Speed up deposit detection with deposit transaction hash.



## OpenAPI

````yaml https://api.layerswap.io/swagger/v2/swagger.json post /api/v2/swaps/{swapId}/deposit_speedup
openapi: 3.0.1
info:
  title: Layerswap API V2
  version: v2
servers:
  - url: https://api.layerswap.io
    description: Mainnet
security:
  - X-LS-APIKEY: []
paths:
  /api/v2/swaps/{swapId}/deposit_speedup:
    post:
      tags:
        - Swaps
      summary: Speed up deposit
      description: Speed up deposit detection with deposit transaction hash.
      parameters:
        - name: swapId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: X-LS-APIKEY
          in: header
          schema:
            type: string
            default: >-
              NDBxG+aon6WlbgIA2LfwmcbLU52qUL9qTnztTuTRPNSohf/VnxXpRaJlA5uLSQVqP8YGIiy/0mz+mMeZhLY4/Q
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DepositSpeedUpRequest'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse'
components:
  schemas:
    DepositSpeedUpRequest:
      type: object
      properties:
        transaction_id:
          type: string
      additionalProperties: false
    ApiResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ApiError'
      additionalProperties: false
    ApiError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        metadata:
          type: object
          additionalProperties: {}
      additionalProperties: false
  securitySchemes:
    X-LS-APIKEY:
      type: apiKey
      name: X-LS-APIKEY
      in: header

````